transcript.imDocs
DocumentationAPI Reference

Get batch status

GET
/v1/batch/{batchId}

Status + counts + the first page of items (cursor-paginated with pageToken / maxResults). Returns nextPageToken when more items remain.

AuthorizationBearer <token>

Session token (cookie-based auth in browser) or developer API key (tr_ prefix). API keys require the transcripts scope for /v1/transcript and the batches scope for /v1/batch.

In: header

Path Parameters

batchId*string
Formatuuid

Query Parameters

pageToken?string

Opaque cursor from a previous nextPageToken.

maxResults?integer
Range1 <= value <= 500
Default50

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/batch/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "batch": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "mode": "batch",    "lang": "string",    "total": 0,    "done": 0,    "failed": 0,    "counts": {      "total": 0,      "pending": 0,      "success": 0,      "failed": 0    },    "status": "pending",    "exportRef": "string",    "exportMime": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "platform": "youtube",      "externalId": "string",      "sourceUrl": "http://example.com",      "lang": "string",      "status": "pending",      "transcriptRef": "ba82083b-84a7-4f42-8fd0-bd702ea7a480",      "error": "string",      "attempts": 0    }  ],  "nextPageToken": "string"}